@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&family=Syne:wght@700&display=swap');
:root {
    /* Colores a usar en el body general*/
    --fondo-oscuro: #05070a;       
    --azul-profundo: #0d121d;     
    --violeta-primario: #6366f1;   
    --violeta-brillante: #8b5cf6;  
    --texto-principal: #ffffff;
    --texto-secundario: #94a3b8;
    --color-botones: #602adf;   
    --texto-alternativo: font-family: 'Syne', sans-serif;
}

p {
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    line-height: 1.6; /* El interlineado que vimos antes */
    color: #cbd5e1; /* Un gris claro para el dark mode */
}

.Presentacion {
    background-color: var(--azul-profundo);
    color: var(--texto-principal);
    padding: 50px;
    text-align: center;
    display: flex;
    flex-direction: row;
    align-items: space-between;
    
}

.Titulo_Presentacion {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 50px;
    margin-top: 100px;
}

.texto_Titulo_Presentacion {
    font-family: var(--texto-alternativo);
    font-size: 48px;
    margin: 0;
}

.texto_SubTitulo_Presentacion {
    font-size: 24px;
    text-align: left;
    margin: 30px 0 20px -15px;
}

.Presentacion p {
    justify-content: start;
    text-align: left;
    font-size: 15px;
    max-width: 600px;
    margin: 0px 0px 0px 30px;
}

.img_ImpulsAR{
    display: flex;
    width: 30%;
    height: auto;
    border-radius: 20px;
    margin-left: 140px;
}

.PorqueElegirnos {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--fondo-oscuro);
    color: var(--texto-principal);
    padding: 50px;
    text-align: center;
}

.Razones {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 100%;
    margin-top: 30px;
}

.Razon {
    background-color: var(--azul-profundo);
    margin: 10px 0px 0px 30px;
    border-radius: 20px;
    padding: 10px;
    width: 30%;
    text-align: left;

}

.texto_Titulo_Razones {
    font-size: 24px;
    margin: 0 0 10px 0;
    text-align: center;
}

.texto_Razon{
    font-size: 15px;
    line-height: 25px;
    margin: 20px 0px 0px 10px;
}

.ComenzarProyecto {
    background-color: var(--violeta-primario);
    color: var(--texto-principal);
    padding: 50px;
    text-align: center;
}

.Botones {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 30px;
}

.Boton_Contacto_Servicio {
    background-color: var(--violeta-primario);
    color: var(--texto-principal);
    background-color: var(--color-botones);
    padding: 15px 30px;
    text-decoration: none;
    font-size: 1.2em;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.Boton_Contacto_Servicio:hover {
    background-color: var(--violeta-brillante);
}

.Compromiso {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--azul-profundo);
    color: var(--texto-principal);
    padding: 50px;
    text-align: center;
}

.Compromiso_Titulo {
    font-size: 32px;
    margin: 10px 0 60px 0;
}

.Compromiso_Sub_Titulo {
    text-align: left;
    font-size: 24px;
    margin: -1px 0 10px -10px;
}

.Compromiso_Texto {
    text-align: left;
    justify-content: center;
    font-size: 18px;
    line-height: 25px;
    margin: -10px 0px 5px 40px;
}

.caja_Compromiso {
    display: flex;
    flex-direction: column;
    background-color: #231750;
    margin: 10px 0;
    border-radius: 20px;
    padding: 20px;
    width: 80%;
    height: auto;
    text-align: left;
}

.check {
    width: 50px;
    height: auto;
    margin: -10px 10px 0px -10px;
}

.caja_check {
    display: flex;
    align-items: center;
    margin-bottom: 10px;    
}

@media (max-width: 768px) {
    
    .Presentacion {
        flex-direction: column;
        padding: 20px;
    }

    .Titulo_Presentacion {
        margin-right: 0;
        margin-top: 20px;
        text-align: center;
    }

    
    .img_ImpulsAR {
        width: 80%;
        margin: 30px auto 0 auto;
    }

    
    .Razones {
        flex-direction: column;
        align-items: center;
    }

    .Razon {
        width: 90%;
        margin: 15px 0;
    }

   
    .caja_Compromiso {
        width: 95%;
    }
}


@media (max-width: 480px) {
    nav ul {
        display: none;
    }   
    .texto_Titulo_Presentacion {
        font-size: 32px; 
    }

    .texto_SubTitulo_Presentacion {
        font-size: 20px;
        text-align: center;
        margin-left: 0;
    }

    .Presentacion p {
        margin: 10px 0;
        text-align: center;
    }

    .Botones {
        flex-direction: column; 
        gap: 10px;
    }

    .Boton_Contacto_Servicio {
        font-size: 1rem;
        padding: 10px 20px;
    }
}